aboutsummaryrefslogtreecommitdiff
path: root/test/old/testdir/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'test/old/testdir/Makefile')
-rw-r--r--test/old/testdir/Makefile15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/old/testdir/Makefile b/test/old/testdir/Makefile
index 20272a24c7..d73571f463 100644
--- a/test/old/testdir/Makefile
+++ b/test/old/testdir/Makefile
@@ -55,6 +55,8 @@ else
endif
endif
+default: nongui
+
nongui: nolog $(FIXFF) newtests report
.gdbinit:
@@ -112,6 +114,7 @@ CLEAN_FILES := *.out \
*.rej \
*.orig \
*.tlog \
+ opt_test.vim \
test_result.log \
$(CLEANUP_FILES) \
$(RM_ON_RUN) \
@@ -151,6 +154,18 @@ newtests: newtestssilent
newtestssilent: $(NEW_TESTS_RES)
+GEN_OPT_DEPS = gen_opt_test.vim ../../../src/nvim/options.lua ../../../runtime/doc/options.txt
+
+opt_test.vim: $(GEN_OPT_DEPS)
+ $(NVIM_PRG) -e -s -u NONE $(NO_INITS) -S $(GEN_OPT_DEPS)
+ @if test -f test.log; then \
+ cat test.log; \
+ exit 1; \
+ fi
+
+# Explicit dependencies.
+test_options_all.res: opt_test.vim
+
%.res: %.vim .gdbinit
@echo "[OLDTEST] Running" $*
@rm -rf $*.failed test.ok $(RM_ON_RUN)